module Main where

import Barrie

demoWidget :: Widget
demoWidget = vbox [ui "demo label" (textLabel ""),
                   ui "demo command" (labelButton "click me")]

type DemoState = String

type DemoGadget = Gadget DemoState

demoGUI :: DemoGadget
demoGUI = sectionG "demo gui" [displayG "demo label" id,
                               commandG "demo command" reverse]

main = gtkMain demoGUI demoWidget "Hello, world"

