module Main where

import Barrie

demoWidget :: Widget
demoWidget = hbox [ui "demo entry" textBox,
                   ui "browse" $ fileOpen "Open",
                   ui "save" $ fileSave "Save"]

type DemoState = String

type DemoGadget = Gadget DemoState

demoGUI :: DemoGadget
demoGUI = sectionG "demo gui" [editorG "demo entry" id const,
                               initG "browse" id,
                               displayG "save" id]

main = gtkMain demoGUI demoWidget "Hello, world"

